package vstp

import (
	"fmt"

	"git.fjla.uk/owlboard/timetable-mgr/log"
	"github.com/go-stomp/stomp/v3"
)

var count uint64 = 0

func handle(msg *stomp.Message) {
	count++
	log.Msg.Info("Messages since started: " + fmt.Sprint(count))
	schedule := unmarshalData(string(msg.Body))
	processEntryType(schedule)
}
